<nav class="navbar navbar-expand-lg bg-primary" data-bs-theme="dark">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">Navbar</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarColor01">
      <ul class="navbar-nav me-auto">
        <li class="nav-item">
          <a class="nav-link active" href="#">Home
            <span class="visually-hidden">(current)</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="login">Login</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="register">Register</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="showemps">ShowEmployees</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="showempbyid">ShowEmpById</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="products">Products</a>
        </li>          
      </ul>

      <form class="d-flex">
          <ul class="navbar-nav me-auto">

            <!-- Adding the Cart Link -->
            <li class="nav-item">
              <a class="nav-link" routerLink="cart">Cart</a>
            </li>
            
            <li class="nav-item">
              <a class="nav-link" routerLink="logout">Logout</a>
            </li>
          </ul>
      </form>
      
    </div>
  </div>
</nav>
